[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[libvirt] [PATCH python v2] Change Obsoletes to an explicit version



We only want to obsolete versions which actually had the
original name, not all future versions.

Signed-off-by: Daniel P. Berrange <berrange redhat com>
---

Changed in v2:

 - Fix both sub-rpms

 libvirt-python.spec.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/libvirt-python.spec.in b/libvirt-python.spec.in
index e4fb17a..1905191 100644
--- a/libvirt-python.spec.in
+++ b/libvirt-python.spec.in
@@ -32,7 +32,7 @@ License: LGPLv2+
 Group: Development/Libraries
 %{?python_provide:%python_provide python2-libvirt}
 Provides: libvirt-python = %{version}-%{release}
-Obsoletes: libvirt-python < %{version}-%{release}
+Obsoletes: libvirt-python <= 3.6.0-1%{?dist}
 
 %description -n python2-libvirt
 The libvirt-python2 package contains a module that permits applications
@@ -47,7 +47,7 @@ License: LGPLv2+
 Group: Development/Libraries
 %{?python_provide:%python_provide python3-libvirt}
 Provides: libvirt-python3 = %{version}-%{release}
-Obsoletes: libvirt-python3 < %{version}-%{release}
+Obsoletes: libvirt-python3 <= 3.6.0-1%{?dist}
 
 %description -n python3-libvirt
 The libvirt-python3 package contains a module that permits applications
-- 
2.13.3


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]